%global gstreamer_version 0.10
%global dbus-glib_version 0.70

Name:	    epris
Version:	0.2
Release:	4%{?dist}
Summary:	A dbus service to listen to music

Group:		Applications/Multimedia
License:	LGPLv3
URL:		http://code.google.com/p/epris/
Source0:	http://epris.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         epris-%{version}-manpage.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gstreamer-devel >= gstreamer_version
BUildRequires: dbus-glib-devel >= dbus-glib_version
BuildRequires: vala-devel

%description
epris is a small command line based audio player. Unlike xmms2 or mpd, it
uses GStreamer and DBus. It is written in Vala.

%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_mandir}/man6
install -p -m644 epr.6 %{buildroot}%{_mandir}/man6/epr.6
make install DESTDIR=$RPM_BUILD_ROOT
make mandir=$RPM_BUILD_ROOT%{_mandir} install-man


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README THANKS TODO
%{_bindir}/epr
%{_datadir}/dbus-1/services/*
%{_libexecdir}/*
%{_mandir}/man6/epr.6.gz


%changelog
*Sun Dec 11 2011 rtnpro <rtnpro@gmail.com> 0.2-4
- Added man page for epris

*Tue Aug 24 2010 rtnpro <rtnpro@gmail.com> 0.2-3
- Made some changes to the spec file

*Tue Jun 29 2010 rtnpro <rtnpro@gmail.com> 0.2-2
- Added Requires: Gstreamer and Obsoletes: old epris version

*Mon Jun 28 2010 rtnpro <rtnpro@gmail.com> 0.2-1
- Initial RPM package
